Import all Neccessary Packages
from evdev import InputDevice, categorize, ecodes
import time
import motoron

#Initialise the I2C-connected Motoron HAT and provide it with a Variable.
#When using Stacked HATS you will need to create two variables (to represent both HATS) and
#provide the specific I2C Address for Both which you will write in the brackets
mc = motoron.MotoronI2C()

# Reset the controller to its default settings, then disable CRC (Cyclic Redundancy Check).  The bytes for
# each of these commands is shown here in case you want to implement them on
# your own without using the library.
mc.reinitialize()  # Bytes: 0x96 0x74
mc.disable_crc()  
mc.clear_reset_flag()

#Create a variable called MOD which we will use to create two Speed Modes, LowSpeed and High-Speed Control
Mod = 1

mc.set_command_timeout_milliseconds(5000)

# Configure Motor 2 in regards to acceleration/deceleration with commands below
#The First value in the bracket Identifies Motor 2 as the target. The second
#Number in the bracket is the speed value. This is a value from 0 - 800, -->
# 0 is stopped, 800 is maxed acceleration) Note that Mod can affect this value.
mc.set_max_acceleration(2, 100*Mod)
mc.set_max_deceleration(2, 100*Mod)

mc.set_max_acceleration(1, 100*Mod)
mc.set_max_deceleration(1, 100*Mod)


mc.set_speed(2, 100)
mc.set_speed(1, 100)


time.sleep(5)

mc.set_speed(2, 100)
mc.set_speed(1, 100)

time.sleep(5)


mc.set_speed(2, 100)
mc.set_speed(1, -100)

time.sleep(2)

mc.set_speed(2, 100)
mc.set_speed(1, 100)

time.sleep(5)

mc.coast_now()








